SETARCH(8)

BEZEICHNUNG
setarch - ändert die vom System gemeldete Architektur und setzt neue Personalisierungs-Schalter.

ÜBERSICHT
setarch <arch> [options] [program [arguments]]
arch [options] [program [arguments]]

BESCHREIBUNG
setarch This utility currently only affects the output of uname -m. For example, on an AMD64 system, running 'setarch i386 program' will cause 'program' to see i686 (or other relevant arch) instead of x86_64 as machine type. It also allows to set various personality options. The default program is /bin/sh.

OPTIONEN

-v, --verbose
    Ausführlicher Modus.

-h, --help
    Display help text and exit. (The help text is also displayed when setarch receives no arguments.)

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

--uname-2.6
    sorgt dafür, dass das Programm einen Kernel mit einer Versionsnummer sieht, die mit 2.6 beginnt.

-3, --3gb
    legt fest, dass Prozesse einen maximalen Adressraum von 3GB belegen, wenn das System es unterstützt (ADDR_LIMIT_3GB).

--4gb
    wird ignoriert (nur für Abwärtskompatibilität vorhanden).

--list
    List architectures that can be set.

-B, --32bit
    aktiviert ADDR_LIMIT_32BIT.

-F, --fdpic-funcptrs
    Funktionszeiger auf Anwendungsebene zeigen auf Deskriptoren (schaltet FDPIC_FUNCPTRS ein).

-I, --short-inode
    aktiviert SHORT_INODE.

-L, --addr-compat-layout
    ändert die Art der Zuweisung virtuellen Speichers (schaltet ADDR_COMPAT_LAYOUT ein).

-R, --addr-no-randomize
    deaktiviert die Randomisierung des virtuellen Adressraums (schaltet ADDR_NO_RANDOMIZE ein).

-S, --whole-seconds
    aktiviert WHOLE_SECONDS.

-T, --sticky-timeouts
    aktiviert STICKY_TIMEOUTS.

-X, --read-implies-exec
    aktiviert READ_IMPLIES_EXEC.

-Z, --mmap-page-zero
    aktiviert MMAP_PAGE_ZERO.

BEISPIELE
setarch ppc32 rpmbuild --target=ppc --rebuild foo.src.rpm
setarch ppc32 -v -vL3 rpmbuild --target=ppc --rebuild bar.src.rpm
setarch ppc32 --32bit rpmbuild --target=ppc --rebuild foo.src.rpm

AUTOR
Elliot Lee (sopwith@redhat.com)
Jindrich Novy (jnovy@redhat.com)

VERFÜGBARKEIT
Der Befehl setarch ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.